Debian Bug report logs - #671046
libsysactivity: FTBFS[kfreebsd]: error: unknown type name 'u_int64_t' in <sys/devicestat.h>

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: debian-bsd@lists.debian.org

Date: Tue, 1 May 2012 14:03:02 UTC

Severity: serious

Tags: sid, wheezy

Fixed in version 0.80

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#671046; Package src:libsysactivity. (Tue, 01 May 2012 14:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Niels Thykier <niels@thykier.net>. (Tue, 01 May 2012 14:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: libsysactivity: FTBFS[kfreebsd]: error: unknown type name 'u_int64_t' in <sys/devicestat.h>
Date: Tue, 01 May 2012 16:02:09 +0200
Package: src:libsysactivity
Version: 0.6.2-7
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

[ 14%] Building C object src/FreeBSD/CMakeFiles/sysactivity.dir/process.c.o
cd /build/buildd-libsysactivity_0.6.2-7-kfreebsd-i386-djMiII/libsysactivity-0.6.2/build/src/FreeBSD && /usr/bin/gcc  -Dsysactivity_EXPORTS -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -D_FORTIFY_SOURCE=2 -O2 -g -fPIC -I/build/buildd-libsysactivity_0.6.2-7-kfreebsd-i386-djMiII/libsysactivity-0.6.2/src/common    -Wall -Wlogical-op -fvisibility=hidden -include /build/buildd-libsysactivity_0.6.2-7-kfreebsd-i386-djMiII/libsysactivity-0.6.2/src/FreeBSD/libsysactivity.h -o CMakeFiles/sysactivity.dir/process.c.o   -c /build/buildd-libsysactivity_0.6.2-7-kfreebsd-i386-djMiII/libsysactivity-0.6.2/src/FreeBSD/process.c
In file included from /build/buildd-libsysactivity_0.6.2-7-kfreebsd-i386-djMiII/libsysactivity-0.6.2/src/FreeBSD/libsysactivity.h:26:0,
                 from <command-line>:0:
/usr/include/sys/devicestat.h:151:2: error: unknown type name 'u_int32_t'
/usr/include/sys/devicestat.h:157:2: error: unknown type name 'u_int64_t'
/usr/include/sys/devicestat.h:158:2: error: unknown type name 'u_int64_t'
/usr/include/sys/devicestat.h:165:2: error: unknown type name 'u_int32_t'
/usr/include/sys/devicestat.h:166:2: error: unknown type name 'u_int64_t'
make[4]: *** [src/FreeBSD/CMakeFiles/sysactivity.dir/process.c.o] Error 1

Full build log at


Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#671046; Package src:libsysactivity. (Wed, 02 May 2012 22:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Wed, 02 May 2012 22:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 671046@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: debian-bsd@lists.debian.org, 671046@bugs.debian.org
Cc: libsysactivity@packages.debian.org
Subject: Re: Bug#671046: libsysactivity: FTBFS[kfreebsd]: error: unknown type name 'u_int64_t' in <sys/devicestat.h>
Date: Wed, 2 May 2012 23:59:18 +0200
reassign 671046 kfreebsd-kernel-headers
thanks

2012/5/1 Christoph Egger <christoph@debian.org>:
> /usr/include/sys/devicestat.h:151:2: error: unknown type name 'u_int32_t'
> /usr/include/sys/devicestat.h:157:2: error: unknown type name 'u_int64_t'
> /usr/include/sys/devicestat.h:158:2: error: unknown type name 'u_int64_t'
> /usr/include/sys/devicestat.h:165:2: error: unknown type name 'u_int32_t'
> /usr/include/sys/devicestat.h:166:2: error: unknown type name 'u_int64_t'
> make[4]: *** [src/FreeBSD/CMakeFiles/sysactivity.dir/process.c.o] Error 1

This is actually a kfreebsd-kernel-headers bug.  The version in
experimental probably fixes it but is also severely broken in other
(more subtle) ways.

-- 
Robert Millan




Bug reassigned from package 'src:libsysactivity' to 'kfreebsd-kernel-headers'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 02 May 2012 22:03:09 GMT) Full text and rfc822 format available.

No longer marked as found in versions libsysactivity/0.6.2-7. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 02 May 2012 22:03:10 GMT) Full text and rfc822 format available.

Added indication that 671046 affects src:libsysactivity Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Wed, 09 May 2012 08:24:08 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 13 May 2012 17:03:15 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sun, 13 May 2012 17:03:15 GMT) Full text and rfc822 format available.

Message #21 received at 671046-done@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: debian-bsd@lists.debian.org, 671046-done@bugs.debian.org
Cc: libsysactivity@packages.debian.org
Subject: Re: Bug#671046: libsysactivity: FTBFS[kfreebsd]: error: unknown type name 'u_int64_t' in <sys/devicestat.h>
Date: Sun, 13 May 2012 19:00:16 +0200
Version: 0.80

Problem is fixed in unstable now.

2012/5/2 Robert Millan <rmh@debian.org>:
> reassign 671046 kfreebsd-kernel-headers
> thanks
>
> 2012/5/1 Christoph Egger <christoph@debian.org>:
>> /usr/include/sys/devicestat.h:151:2: error: unknown type name 'u_int32_t'
>> /usr/include/sys/devicestat.h:157:2: error: unknown type name 'u_int64_t'
>> /usr/include/sys/devicestat.h:158:2: error: unknown type name 'u_int64_t'
>> /usr/include/sys/devicestat.h:165:2: error: unknown type name 'u_int32_t'
>> /usr/include/sys/devicestat.h:166:2: error: unknown type name 'u_int64_t'
>> make[4]: *** [src/FreeBSD/CMakeFiles/sysactivity.dir/process.c.o] Error 1
>
> This is actually a kfreebsd-kernel-headers bug.  The version in
> experimental probably fixes it but is also severely broken in other
> (more subtle) ways.
>
> --
> Robert Millan



-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#671046; Package kfreebsd-kernel-headers. (Sun, 13 May 2012 23:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 13 May 2012 23:18:06 GMT) Full text and rfc822 format available.

Message #26 received at 671046@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: debian-bsd@lists.debian.org, 671046@bugs.debian.org, libsysactivity@packages.debian.org
Subject: Re: Bug#671046: libsysactivity: FTBFS[kfreebsd]: error: unknown type name 'u_int64_t' in <sys/devicestat.h>
Date: Mon, 14 May 2012 01:16:28 +0200
Robert Millan <rmh@debian.org> writes:
> Version: 0.80
>
> Problem is fixed in unstable now.
>
> 2012/5/2 Robert Millan <rmh@debian.org>:
>> reassign 671046 kfreebsd-kernel-headers
>> thanks
>>
>> 2012/5/1 Christoph Egger <christoph@debian.org>:
>>> /usr/include/sys/devicestat.h:151:2: error: unknown type name 'u_int32_t'
>>> /usr/include/sys/devicestat.h:157:2: error: unknown type name 'u_int64_t'
>>> /usr/include/sys/devicestat.h:158:2: error: unknown type name 'u_int64_t'
>>> /usr/include/sys/devicestat.h:165:2: error: unknown type name 'u_int32_t'
>>> /usr/include/sys/devicestat.h:166:2: error: unknown type name 'u_int64_t'
>>> make[4]: *** [src/FreeBSD/CMakeFiles/sysactivity.dir/process.c.o] Error 1
>>
>> This is actually a kfreebsd-kernel-headers bug.  The version in
>> experimental probably fixes it but is also severely broken in other
>> (more subtle) ways.

And libsysactivity already successfully built on the buildds.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jun 2012 07:38:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 17:04:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.